#include<stdlib.h>
#include <stdio.h>

int main()
{
    int n, q, lev, des;
    scanf("%d", &n);
    int niz[n];
    for(int i = 0; i < n; i++)
    {
        scanf("%d", &niz[i]);
    }
    int br = 0;
    int niz2[n];
    for(int i = 0; i < n; i++){


        if(niz[i] < niz[i-1]){
            br++;
        }

        niz2[i] = br;
    }
    for(int i = 0; i < n; i++)
    {
        if(niz2[i]<niz2[i-1])
        {
            int pom = niz[i-1];
            niz2[i]++;
            while(pom>niz[i])
            {
                niz2[i]--;
                i++;
            }
        }
    }
    scanf("%d", &q);
    int niz1[q];
    for(int i = 0; i < q; i++)
    {
        scanf("%d%d", &lev, &des);
        lev--;
        des--;
        niz1[i] = niz2[des] - niz2[lev];
    }
    for(int i = 0; i < q; i++)
    {
        if(niz1[i] >= 2)
        {
            printf("NE\n");
        }
        else
        {
            printf("DA\n");
        }
}
}